#ifndef OPTION_DIALOG_H
#define OPTION_DIALOG_H

#include <kdialogbase.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QCheckBox;
class QLabel;
class QPushButton;
class QSpinBox;

class ConfigureDialog : public KDialogBase
{
	Q_OBJECT

public:
	ConfigureDialog(QWidget *parent = 0, char *name = 0, bool modal = 0);
	~ConfigureDialog();

signals:
	void clearHistory();
	void valueChanged();

protected slots:
	virtual void slotOk();
	virtual void slotApply();

private slots:
	void readConfig();
	void writeConfig();

private:
	QSpinBox *PrecNumBox;
	QSpinBox *NumLevelsNumBox;
	QCheckBox *BeepBox;
	QLabel *NumBoxLabel;
	QCheckBox *FixedCheckBox;
	QCheckBox *ShowPeriodCheckBox;
	QLabel *PrecLabel;
	QLabel *HistoryLabel;
	QSpinBox *HistDepthBox;
	QCheckBox *HistDetailCheckBox;
	QCheckBox *SaveStackCheckBox;
	QCheckBox *DelDrops;
	QCheckBox *SaveHistoryCheckBox;
	QPushButton *ClearHistoryButton;
};

#endif
